import request from '@/utils/request'
import {smart} from '@/api/commonApi'
// 定时任务配置

// 定时任务；列表
export function getTimingTaskList(data) {
  return request({
    url: smart + `/basic-timing-task/getPageList`,
    method: 'POST',
    data
  })
}
// 定时任务；删除
export function deleteTimingTaskItem(data) {
  return request({
    url: smart + `/basic-timing-task/deleteById`,
    method: 'post',
    data
  })
}
// 定时任务；新增
export function addTimingTaskItem(data) {
  return request({
    url: smart + `/basic-timing-task/save`,
    method: 'post',
    data,
  })
}
// 定时任务；更 新
export function updateTimingTaskItem(data) {
  return request({
    url: smart + `/basic-timing-task/update`,
    method: 'post',
    data,
  })
}